# TdApi.StoryAreaTypeSuggestedReaction (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: StoryAreaTypeSuggestedReaction

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StoryAreaTypeSuggestedReaction

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StoryAreaType
it.tdlight.jni.TdApi.StoryAreaTypeSuggestedReaction

Enclosing class:
  TdApi

public static final class TdApi.StoryAreaTypeSuggestedReaction extends TdApi.StoryAreaType
An area pointing to a suggested reaction. App needs to show a clickable reaction on the area and call setStoryReaction when the are is clicked.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`isDark`
True, if reaction has a dark background.
`boolean`
`isFlipped`
True, if reaction corner is flipped.
`TdApi.ReactionType`
`reactionType`
Type of the reaction.
`int`
`totalCount`
Number of times the reaction was added.

## Constructor Summary

Constructors
Constructor
Description
`StoryAreaTypeSuggestedReaction()`
An area pointing to a suggested reaction.
`StoryAreaTypeSuggestedReaction(TdApi.ReactionType reactionType, int totalCount, boolean isDark, boolean isFlipped)`
An area pointing to a suggested reaction.
`StoryAreaTypeSuggestedReaction(DataInput input)`
An area pointing to a suggested reaction.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### reactionType

public TdApi.ReactionType reactionType
Type of the reaction.

### totalCount

public int totalCount
Number of times the reaction was added.

### isDark

public boolean isDark
True, if reaction has a dark background.

### isFlipped

public boolean isFlipped
True, if reaction corner is flipped.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### StoryAreaTypeSuggestedReaction

public StoryAreaTypeSuggestedReaction()
An area pointing to a suggested reaction. App needs to show a clickable reaction on the area and call setStoryReaction when the are is clicked.

### StoryAreaTypeSuggestedReaction

public StoryAreaTypeSuggestedReaction(TdApi.ReactionType reactionType, int totalCount, boolean isDark, boolean isFlipped)
An area pointing to a suggested reaction. App needs to show a clickable reaction on the area and call setStoryReaction when the are is clicked.

Parameters:
  `reactionType` - Type of the reaction.
  `totalCount` - Number of times the reaction was added.
  `isDark` - True, if reaction has a dark background.
  `isFlipped` - True, if reaction corner is flipped.

### StoryAreaTypeSuggestedReaction

public StoryAreaTypeSuggestedReaction(DataInput input) throws IOException
An area pointing to a suggested reaction. App needs to show a clickable reaction on the area and call setStoryReaction when the are is clicked.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`